| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TopicBuiltinTopicData Struct Reference

`#include <TopicBuiltinTopicData.hpp>`

## Public Attributes

BuiltinTopicKey_t | key
| Builtin topic Key.
std::string | name
| Name.
std::string | type_name
| Type name.
DurabilityQosPolicy | durability
| Durability Qos, implemented in the library.
DurabilityServiceQosPolicy | durability_service
| Durability Service Qos, NOT implemented in the library.
DeadlineQosPolicy | deadline
| Deadline Qos, implemented in the library.
LivelinessQosPolicy | liveliness
| Liveliness Qos, implemented in the library.
ReliabilityQosPolicy | reliability
| Reliability Qos, implemented in the library.
TransportPriorityQosPolicy | transport_priority
| Transport Priority Qos, NOT implemented in the library.
LifespanQosPolicy | lifespan
| Lifespan Qos, implemented in the library.
HistoryQosPolicy | history
| History Qos, implemented in the library.
ResourceLimitsQosPolicy | resource_limits
| Resource Limits Qos, implemented in the library.
OwnershipQosPolicy | ownership
| Ownership Qos, NOT implemented in the library.
TopicDataQosPolicy | topic_data
| Topic Data Qos, NOT implemented in the library.

## Member Data Documentation

## ◆ deadline

DeadlineQosPolicy deadline

Deadline Qos, implemented in the library.

## ◆ durability

DurabilityQosPolicy durability

Durability Qos, implemented in the library.

## ◆ durability_service

DurabilityServiceQosPolicy durability_service

Durability Service Qos, NOT implemented in the library.

## ◆ history

HistoryQosPolicy history

History Qos, implemented in the library.

## ◆ key

BuiltinTopicKey_t key

Builtin topic Key.

## ◆ lifespan

LifespanQosPolicy lifespan

Lifespan Qos, implemented in the library.

## ◆ liveliness

LivelinessQosPolicy liveliness

Liveliness Qos, implemented in the library.

## ◆ name

std::string name

Name.

## ◆ ownership

OwnershipQosPolicy ownership

Ownership Qos, NOT implemented in the library.

## ◆ reliability

ReliabilityQosPolicy reliability

Reliability Qos, implemented in the library.

## ◆ resource_limits

ResourceLimitsQosPolicy resource_limits

Resource Limits Qos, implemented in the library.

## ◆ topic_data

TopicDataQosPolicy topic_data

Topic Data Qos, NOT implemented in the library.

## ◆ transport_priority

TransportPriorityQosPolicy transport_priority

Transport Priority Qos, NOT implemented in the library.

## ◆ type_name

std::string type_name

Type name.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/builtin/topic/TopicBuiltinTopicData.hpp